Subject: Re: [PATCHv4 net-next 1/4] net: add a common function to compute features from lowers devices

From: Hangbin Liu <[email-masked]>
Date: Thu, 16 Oct 2025 12:38:15 +0000

On Thu, Oct 16, 2025 at 01:27:00PM +0200, Jiri Pirko wrote:
> >> How about "master_upper"? This is already widely used to refer to
> >> bond/team/bridge/other master soft devices.
> >> 
> >> MASTER_UPPER_DEV_VLAN_FEATURES?
> >
> >I'm not sure if we should avoid using "master" now. Maybe just UPPER_DEV_VLAN_FEATURES?
> 
> Why? We have "master_upper" to point exactly at this kind of device.

I mean try not use "master/slave" words. I'm OK to use UPPER_DEV_* prefix.

I will update the name if there is a next version.

Thanks
Hangbin